# CoinFactorizationDoubleArrayWithLength Class Reference

CoinFactorizationDouble * version. More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinFactorizationDoubleArrayWithLength:
[legend]
Collaboration diagram for CoinFactorizationDoubleArrayWithLength:
[legend]

List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
CoinFactorizationDouble * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
CoinFactorizationDouble * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinFactorizationDoubleArrayWithLength ()
| Default constructor - NULL.
| CoinFactorizationDoubleArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinFactorizationDoubleArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinFactorizationDoubleArrayWithLength (const CoinFactorizationDoubleArrayWithLength &rhs)
| Copy constructor.
| CoinFactorizationDoubleArrayWithLength (const CoinFactorizationDoubleArrayWithLength *rhs)
| Copy constructor.2.
CoinFactorizationDoubleArrayWithLength & | operator= (const CoinFactorizationDoubleArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

CoinFactorizationDouble * version.

Definition at line 671 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 701 of file CoinIndexedVector.hpp.

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 704 of file CoinIndexedVector.hpp.

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 710 of file CoinIndexedVector.hpp.

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( | const CoinFactorizationDoubleArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 713 of file CoinIndexedVector.hpp.

CoinFactorizationDoubleArrayWithLength::CoinFactorizationDoubleArrayWithLength | ( | const CoinFactorizationDoubleArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 716 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinFactorizationDoubleArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 677 of file CoinIndexedVector.hpp.

CoinFactorizationDouble* CoinFactorizationDoubleArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 680 of file CoinIndexedVector.hpp.

void CoinFactorizationDoubleArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 687 of file CoinIndexedVector.hpp.

CoinFactorizationDouble* CoinFactorizationDoubleArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 694 of file CoinIndexedVector.hpp.

CoinFactorizationDoubleArrayWithLength& CoinFactorizationDoubleArrayWithLength::operator= | ( | const CoinFactorizationDoubleArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Reimplemented from CoinArrayWithLength.

Definition at line 719 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Bcps-0.93.10/CoinUtils/src/CoinIndexedVector.hpp